PHP Update on hosting causes STRICT STANDARDS errors

03.08.2013 00:49
#1
kevinestey
Joomshopping forum user no avatar
Name: Kevin Estey
18.08.2011
Posts: 3
Quote
PHP Update on hosting causes STRICT STANDARDS errors

My hosting company upgraded PHP today to 5.4 and now I see this error on all my shop and product pages:

Strict Standards: Only variables should be assigned by reference in home/public_html/components/com_jshopping/lib/functions.php on line 852

I have already turned off error reporting in Joomla configuration. I do not have access to php.ini so can't set error reporting there as many other posts suggest. Can't do it in .htaccess either....

I just downloaded the latest update of Joomshopping 3.15.0 and all the modules.
PHP Update on hosting causes STRICT STANDARDS errors


Joomla: 2.5.14
JoomShopping: 3.15.0
PHP: 5.4.17
MySQL: Apache/2.2.25 (Unix) mod_ssl/2.2.25 OpenSSL/1.0.0-fips mod_bwlimited/1.4
Website Url: www.mysticaljingenergies.com
 
03.08.2013 11:51
#2
webdesigner
(Support Team)
User webdesigner
Name: Admin
05.08.2010
Posts: 16517
Quote
Aw: PHP Update on hosting causes STRICT STANDARDS errors

copy original file function.php (3.15.0)

http://www.webdesigner-profi.de/joomla-webdesign/joomla-shop/downloads.html

 
03.08.2013 18:15
#3
kevinestey
Joomshopping forum user no avatar
Name: Kevin Estey
18.08.2011
Posts: 3
Quote
Aw: PHP Update on hosting causes STRICT STANDARDS errors

I'm sorry I don't understand what you are asking me to do.
I have just updated to the most up to date Joomshopping 3.15.0 in the list....

Unless you mean to send you the current function.php file... it is attached here.
functions1.zip


Letzte Ă„nderung: 03.08.2013 18:16
 
03.08.2013 19:48
#4
webdesigner
(Support Team)
User webdesigner
Name: Admin
05.08.2010
Posts: 16517
Quote
Aw: PHP Update on hosting causes STRICT STANDARDS errors

file version not 3.15.0

@version 3.14.3 01.11.2012

update file

or

change row 852

$params = &$mainframe->getParams('com_content');

to

$params = $mainframe->getParams('com_content');


Letzte Ă„nderung: 03.08.2013 19:49
 
08.11.2013 10:40
#5
Curly Brackets
Joomshopping forum user no avatar
Name: Curly Brackets
11.07.2011
Posts: 4
Quote
Aw: PHP Update on hosting causes STRICT STANDARDS errors

FYI I just discovered the same error messages appearing in PHP 5.4.x for the search plugin

/plugins/search/joomshopping/joomshopping.php

I removed the ampersand in line 25, 26, 27 and the errors disappeared.


Joomla: 3.1.5
JoomShopping: Version 4.4.0
PHP: 5.4.12
 
Copyrights MAXXmarketing GmbH. All Rights Reserved